package demo.hello;

import org.omg.CORBA.*;

public class GoodDayImpl 
    extends GoodDayPOA
{
    private String location;

    // constructor
    public GoodDayImpl( String location ) 
    {
	// initialize location
        this.location = location;
    }

    // method
    public String hello() 
    {
        return "Hello World, from " + location;
    }
}
